Ask a profile to the table — of the account, or another account's as its owner allows (ADR 0033): it shows in their hub for 10 minutes.
POST
/api/rooms/{id}/invite
const url = 'https://example.com/api/rooms/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/invite';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"profileId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/rooms/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/invite \ --header 'Content-Type: application/json' \ --data '{ "profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
profileId
required
string format: uuid
Example generated
{ "profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”No Content
Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found